﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="ActionEventArgs.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the ActionEventArgs type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
namespace ScrumForTeamSystem.EventService.Infrastructure
{
    using System;

    /// <summary>
    /// Defines the ActionEventArgs type.
    /// </summary>
    public class ActionEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ActionEventArgs"/> class.
        /// </summary>
        /// <param name="eventMessage">
        /// The event message.
        /// </param>
        public ActionEventArgs(string eventMessage)
        {
            this.EventMessage = eventMessage;
        }

        /// <summary>
        /// Gets or sets EventMessage.
        /// </summary>
        /// <value>
        /// The event message.
        /// </value>
        public string EventMessage
        {
            get;
            set;
        }
    }
}