﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TfsEventState.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the TfsEventState type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ScrumForTeamSystem.EventService.Infrastructure.Enums
{
    /// <summary>
    /// The Team Foundation Server event state
    /// </summary>
    public enum TfsEventState
    {
        /// <summary>
        /// The created state
        /// </summary>
        Created = 0,

        /// <summary>
        /// The enqueued state
        /// </summary>
        Enqueued = 1,

        /// <summary>
        /// The dequeued state
        /// </summary>
        Dequeued = 2,

        /// <summary>
        /// The processed state
        /// </summary>
        Processed = 3,

        /// <summary>
        /// The failed state
        /// </summary>
        Failed = 4
    }
}
