﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="ExceptionActionEventArgs.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the ExceptionActionEventArgs type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
namespace ScrumForTeamSystem.EventService.Infrastructure
{
    using System;

    /// <summary>
    /// Defines the ExceptionActionEventArgs type.
    /// </summary>
    public class ExceptionActionEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ExceptionActionEventArgs"/> class.
        /// </summary>
        /// <param name="ex">The exception object.</param>
        public ExceptionActionEventArgs(Exception ex)
        {
            this.Exception = ex;
        }

        /// <summary>
        /// Gets or sets Exception.
        /// </summary>
        /// <value>
        /// The exception.
        /// </value>
        public Exception Exception
        {
            get;
            set;
        }
    }
}