// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMessageProducer.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the IMessageProducer type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ScrumForTeamSystem.EventService.Infrastructure.Interfaces
{
    using System;

    using ScrumForTeamSystem.EventService.Infrastructure;

    /// <summary>
    /// Defines the action producer interface
    /// </summary>
    public interface IMessageProducer
    {
        /// <summary>
        /// Occurs when [Message] event raised.
        /// </summary>
        event EventHandler<ActionEventArgs> Message;

        /// <summary>
        /// Occurs when [exception Message] event raised.
        /// </summary>
        event EventHandler<ExceptionActionEventArgs> ExceptionMessage;
    }
}