﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="BuildCompletionEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the BuildCompletionEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a Build Completes
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = false)]
public class BuildCompletionEvent
{
    /// <summary>
    /// Gets or sets BuildCompleteTime.
    /// </summary>
    /// <value>
    /// The build complete time.
    /// </value>
    public string BuildCompleteTime
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets BuildMachine.
    /// </summary>
    /// <value>
    /// The build machine.
    /// </value>
    public string BuildMachine
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets BuildStartTime.
    /// </summary>
    /// <value>
    /// The build start time.
    /// </value>
    public string BuildStartTime
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets CompletionStatus.
    /// </summary>
    /// <value>
    /// The completion status.
    /// </value>
    public string CompletionStatus
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Configuration.
    /// </summary>
    /// <value>
    /// The configuration.
    /// </value>
    public string Configuration
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Id.
    /// </summary>
    /// <value>
    /// The id as a string.
    /// </value>
    public string Id
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets RequestedBy.
    /// </summary>
    /// <value>
    /// The requested by.
    /// </value>
    public string RequestedBy
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Subscriber.
    /// </summary>
    /// <value>
    /// The subscriber.
    /// </value>
    public string Subscriber
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TeamFoundationServerUrl.
    /// </summary>
    /// <value>
    /// The team foundation server url.
    /// </value>
    [XmlElement(DataType = "anyURI")]
    public string TeamFoundationServerUrl
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TeamProject.
    /// </summary>
    /// <value>
    /// The team project.
    /// </value>
    public string TeamProject
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZone.
    /// </summary>
    /// <value>
    /// The time zone.
    /// </value>
    public string TimeZone
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZoneOffset.
    /// </summary>
    /// <value>
    /// The time zone offset.
    /// </value>
    public string TimeZoneOffset
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Title.
    /// </summary>
    /// <value>
    /// The title.
    /// </value>
    public string Title
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Type.
    /// </summary>
    /// <value>
    /// The type as a string.
    /// </value>
    public string Type
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Url.
    /// </summary>
    /// <value>
    /// The url as a string.
    /// </value>
    [XmlElement(DataType = "anyURI")]
    public string Url
    {
        get;
        set;
    }
}