﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="BuildStatusChangeEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the BuildStatusChangeEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a Build Status Changes
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = false)]
public class BuildStatusChangeEvent
{
    /// <summary>
    /// Gets or sets ChangedBy.
    /// </summary>
    /// <value>
    /// The changed by.
    /// </value>
    public string ChangedBy
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangedTime.
    /// </summary>
    /// <value>
    /// The changed time.
    /// </value>
    public string ChangedTime
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Id.
    /// </summary>
    /// <value>
    /// The id value.
    /// </value>
    public string Id
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets StatusChange.
    /// </summary>
    /// <value>
    /// The status change.
    /// </value>
    public Change StatusChange
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Subscriber.
    /// </summary>
    /// <value>
    /// The subscriber.
    /// </value>
    public string Subscriber
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TeamFoundationServerUrl.
    /// </summary>
    /// <value>
    /// The team foundation server url.
    /// </value>
    [XmlElement(DataType = "anyURI")]
    public string TeamFoundationServerUrl
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TeamProject.
    /// </summary>
    /// <value>
    /// The team project.
    /// </value>
    public string TeamProject
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZone.
    /// </summary>
    /// <value>
    /// The time zone.
    /// </value>
    public string TimeZone
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZoneOffset.
    /// </summary>
    /// <value>
    /// The time zone offset.
    /// </value>
    public string TimeZoneOffset
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Title.
    /// </summary>
    /// <value>
    /// The title.
    /// </value>
    public string Title
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Url.
    /// </summary>
    /// <value>
    /// The url value.
    /// </value>
    [XmlElement(DataType = "anyURI")]
    public string Url
    {
        get;
        set;
    }
}