﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="CommonStructureChangedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the CommonStructureChangedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when the Common Structure has changed. The Common Structure is either the Iteration or Area Path
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot("CommonStructureChangedEvent", Namespace = "", IsNullable = false)]
public class CommonStructureChangedEvent
{
    /// <summary>
    /// Gets or sets ChangeType.
    /// </summary>
    /// <value>
    /// The change type.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string ChangeType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Complex.
    /// </summary>
    /// <value>
    /// The complex.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string Complex
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Id.
    /// </summary>
    /// <value>
    /// The id as a string.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string Id
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets NodeId.
    /// </summary>
    /// <value>
    /// The node id.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string NodeId
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ProjectContext.
    /// </summary>
    /// <value>
    /// The project context.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string ProjectContext
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Status.
    /// </summary>
    /// <value>
    /// The status.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string Status
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets StructureType.
    /// </summary>
    /// <value>
    /// The structure type.
    /// </value>
    [XmlElement(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
    public string StructureType
    {
        get;
        set;
    }
}