﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="MembershipChangedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the MembershipChangedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a new user / group is changed on a project
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = true)]
[Obsolete("This Event is no longer raised, or raised inconsistently - see http://blogs.msdn.com/psheill/archive/2006/05/09/593946.aspx for more information")]
public class MembershipChangedEvent
{
    /// <summary>
    /// Gets or sets ChangeType.
    /// </summary>
    /// <value>
    /// The change type.
    /// </value>
    public string ChangeType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets GroupSid.
    /// </summary>
    /// <value>
    /// The group sid.
    /// </value>
    public string GroupSid
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets MemberSid.
    /// </summary>
    /// <value>
    /// The member sid.
    /// </value>
    public string MemberSid
    {
        get;
        set;
    }
}