﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="NodeRenamedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
// Defines the NodeRenamedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------
#region

using System;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Serialization;

#endregion

/// <summary>
/// Event raised when a node is renamed in the CommonStructure (Iteration / Path values) 
/// </summary>
[GeneratedCode("xsd", "2.0.50727.42")]
[Serializable]
[DebuggerStepThrough]
[DesignerCategory("code")]
[XmlRoot(Namespace = "", IsNullable = true)]
public class NodeRenamedEvent
{
    /// <summary>
    /// Gets or sets NewName.
    /// </summary>
    /// <value>
    /// The new name.
    /// </value>
    public string NewName
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets NodeUri.
    /// </summary>
    /// <value>
    /// The node uri.
    /// </value>
    public string NodeUri
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets OldName.
    /// </summary>
    /// <value>
    /// The old name.
    /// </value>
    public string OldName
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ProjectUri.
    /// </summary>
    /// <value>
    /// The project uri.
    /// </value>
    public string ProjectUri
    {
        get;
        set;
    }
}