﻿// --------------------------------------------------------------------------------------------------------------------- 
// <copyright file="WorkItemChangedEvent.cs" company="Scrum for Team System">
//   None
// </copyright>
// <summary>
//   Defines the WorkItemChangedEvent type.
// </summary>
// ---------------------------------------------------------------------------------------------------------------------

/// <summary>
/// The change types enumeration.
/// </summary>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute]
public enum ChangeTypes
{
    /// <summary>
    /// New change type.
    /// </summary>
    New,

    /// <summary>
    /// Change type.
    /// </summary>
    Change,
}

/// <summary>
/// Defines the WorkItemChangedEvent type.
/// </summary>
[System.CodeDom.Compiler.GeneratedCode("xsd", "2.0.50727.3038")]
[System.Serializable]
[System.Diagnostics.DebuggerStepThrough]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlRoot(Namespace = "", IsNullable = true)]
public class WorkItemChangedEvent
{
    /// <summary>
    /// Gets or sets AddedFiles.
    /// </summary>
    /// <value>
    /// The added files.
    /// </value>
    public AddedFile[] AddedFiles
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets AddedRelations.
    /// </summary>
    /// <value>
    /// The added relations.
    /// </value>
    public AddedRelation[] AddedRelations
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets AddedResourceLinks.
    /// </summary>
    /// <value>
    /// The added resource links.
    /// </value>
    public AddedResourceLink[] AddedResourceLinks
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets AreaPath.
    /// </summary>
    /// <value>
    /// The area path.
    /// </value>
    public string AreaPath
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangedFields.
    /// </summary>
    /// <value>
    /// The changed fields.
    /// </value>
    public ChangedFieldsType ChangedFields
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangedRelations.
    /// </summary>
    /// <value>
    /// The changed relations.
    /// </value>
    public ChangedRelation[] ChangedRelations
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangedResourceLinks.
    /// </summary>
    /// <value>
    /// The changed resource links.
    /// </value>
    public ChangedResourceLink[] ChangedResourceLinks
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangerSid.
    /// </summary>
    /// <value>
    /// The changer sid.
    /// </value>
    public string ChangerSid
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ChangeType.
    /// </summary>
    /// <value>
    /// The change type.
    /// </value>
    public ChangeTypes ChangeType
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets CoreFields.
    /// </summary>
    /// <value>
    /// The core fields.
    /// </value>
    public CoreFieldsType CoreFields
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets DeletedFiles.
    /// </summary>
    /// <value>
    /// The deleted files.
    /// </value>
    public DeletedFile[] DeletedFiles
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets DeletedRelations.
    /// </summary>
    /// <value>
    /// The deleted relations.
    /// </value>
    public DeletedRelation[] DeletedRelations
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets DeletedResourceLinks.
    /// </summary>
    /// <value>
    /// The deleted resource links.
    /// </value>
    public DeletedResourceLink[] DeletedResourceLinks
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets DisplayUrl.
    /// </summary>
    /// <value>
    /// The display url.
    /// </value>
    public string DisplayUrl
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets PortfolioProject.
    /// </summary>
    /// <value>
    /// The portfolio project.
    /// </value>
    public string PortfolioProject
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets ProjectNodeId.
    /// </summary>
    /// <value>
    /// The project node id.
    /// </value>
    public string ProjectNodeId
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Subscriber.
    /// </summary>
    /// <value>
    /// The subscriber.
    /// </value>
    public string Subscriber
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TextFields.
    /// </summary>
    /// <value>
    /// The text fields.
    /// </value>
    public TextField[] TextFields
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZone.
    /// </summary>
    /// <value>
    /// The time zone.
    /// </value>
    public string TimeZone
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets TimeZoneOffset.
    /// </summary>
    /// <value>
    /// The time zone offset.
    /// </value>
    public string TimeZoneOffset
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets Title.
    /// </summary>
    /// <value>
    /// The title.
    /// </value>
    public string Title
    {
        get;
        set;
    }

    /// <summary>
    /// Gets or sets WorkItemTitle.
    /// </summary>
    /// <value>
    /// The work item title.
    /// </value>
    public string WorkItemTitle
    {
        get;
        set;
    }
}